#-------------------------------------------------
#
# Project created by QtCreator 2023-04-12T13:38:04
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = LogsValet
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
    Sources/Gui/MainWindow.cpp \
    Sources/main.cpp \
    Sources/LogsSorter.cpp \
    Sources/LogsSorterConfig.cpp \
    Sources/LogsSorterConfigData.cpp \
    Sources/Gui/ConfigPage.cpp \
    Sources/Gui/StatusWindow.cpp \
    Sources/LogsHandler.cpp

HEADERS  += \
    Sources/Gui/MainWindow.h \
    Sources/LogsSorter.h \
    Sources/LogsSorterConfig.h \
    Sources/LogsSorterConfigData.h \
    Sources/Gui/ConfigPage.h \
    Sources/Gui/StatusWindow.h \
    Sources/LogsHandler.h \
    Sources/defines.h

FORMS    += \
    Sources/Gui/MainWindow.ui \
    Sources/Gui/ConfigPage.ui \
    Sources/Gui/StatusWindow.ui

INCLUDEPATH += $$PWD/ \
               $$PWD/Sources \
               $$PWD/Sources/Gui \

DISTFILES += \
    LogsValet.cfg
